
#include <Bitmap.h>
#include <Messenger.h>
#include "pluginproto.h"

class DeskbarView: public BView
{
	private:
		BMessenger	remoteapp;
		BBitmap*	icon;
		BPopUpMenu *pop;

		BMessenger RemoteTrack(int32 index);

	public:
		DeskbarView();
		virtual ~DeskbarView();
		static BArchivable _EXPORT *Instantiate(BMessage *archive);
		virtual status_t Archive(BMessage *message, bool deep=true) const;
		virtual void Draw(BRect rect);
		virtual void MouseDown(BPoint point);
		virtual void MouseMoved(BPoint point, uint32 transit, const BMessage *message);
		virtual void MessageReceived(BMessage *mes);
		virtual void AttachedToWindow();
};
