
#ifndef _EDITOR_H
#define _EDITOR_H


#include <Window.h>
#include <ListItem.h>
#include "Playlist.h"


class BListView;

class Editor: public BWindow
{
friend class PlaylistEditorWatcher;
	private:
		PlaylistPtr playlist;
		BListView*	lv;
		void Populate();
		void MakeEmpty();

	public:
		Editor(PlaylistPtr pl);
		virtual ~Editor();
		virtual void MessageReceived(BMessage *mes);
};


class playlistitem: public BStringItem
{
	public:
		int32 id;
		playlistitem(int32 itemid, const char *name);

};

#endif
