
#include <NetworkKit.h>
#include "pluginproto.h"
#include "VGroup.h"
#include "MCheckBox.h"

class NetHandle
{
	public:
		NetHandle(SoundPlayController *controller)
		{
			listener= -1;
			endpoint=NULL;
			ctrl=controller;
			playbuttonsenabled=false;
			downbuttonsenabled=false;
			streambuttonsenabled=false;
			showfileinfo=false;
		}
		thread_id listener;
		BNetEndpoint *endpoint;
		SoundPlayController *ctrl;
		char *playbutton;
		size_t playbuttonsize;
		char *downloadbutton;
		size_t downloadbuttonsize;
		char *streambutton;
		size_t streambuttonsize;
		
		bool playbuttonsenabled;
		bool downbuttonsenabled;
		bool streambuttonsenabled;
		bool showfileinfo;
};


class ConfigView: public VGroup
{
	private:
		BMessage *config;

	public:
		ConfigView(BMessage *_config);
		virtual ~ConfigView();
		virtual void MessageReceived(BMessage *mes);
};
